                      Computer Science 825
                           Quiz 7          Name _______________________

1. Consider the following shift register:




   a. What will be the contents of the shift register after the
      input digits 1 and 0 are processed.









   b. What generator polynomial is represented by this shift register.






   c. Does this shift register represent standard long division  or
      is it the pre-multiplying version? (Yes in not the correct answer).





2. What characteristic of a generator polynomial will ensure that
   every error in which an odd number of bits are inverted will be
   detected?




3. In protocol 1 in the book, frames didn't carry sequence #'s and no ACKS
   or CRC's were used.  Which of the following is NOT a disadvantage
   of the use  of protocol 1.

   a. A fast sender could overrun   b. Undetected duplications of
      a slow receiver                  packets could take place.

   c. Packets could be lost.        d. Damaged packets could be
                                       accepted.


4. In protocol 2, ACK's were used but no sequence numbers were used
   on frames or ACK's.  Which of the following problems could occur.

   a. Lost frames would go          b. Lost ACK's would result in
      undetected.                      lost frames

   c. Lost acks would result in     d. Lost frames would result in
      duplicate frames.                duplicate frames.


5. In protocol 3, frames's had sequence numbers but ACKS did not.
   Protocol 3 could fail in the presence of:

   a. ACK's that were lost          b. ACK's that were excessively
                                       delayed

   c. Frames that were lost.        d. Either a or b

6. The bisynch protocol introduced the use of the ENQ packet.
   An ENQ is used

   a. To request that the last      b. To request that the last
      ACK be retransmitted.            packet be retransmitted

   c. To resynchronize sequence     d. All of the above.
      numbers

7. Suppose a generator polynomial of G(x) = x^4 is used. G(x)
   can detect

   a. All errors involving any of   b. Some, but not all, of the errors
      the last 4 bits of the message   involving the last 4 bits of the
      and some errors not involving    message some but not all of the
      any of the last 4 bits.          errors that don't involve the last
                                       4 bits.

   c. All errors involving the      d. All single bit errors but no more
      last 4 bits of the message       than that.
      but no errors that do not
      involve the last 4 bits.
